import { jsx } from "react/jsx-runtime";
import { MemoryIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Memory = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Memory", ...props, children: /* @__PURE__ */ jsx(MemoryIcon, { weight: variant }) });
  }
);
Memory.displayName = "Memory";
Object.assign(Memory, { isGdsIcon: true });
export {
  Memory
};
